Robotsystem from Robot Group Leipzig: InvertNChannelController_Gnu Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# InvertNChannelController_Gnu Class Reference

`#include <invertnchannelcontroller_gnu.h>`

Inheritance diagram for InvertNChannelController_Gnu:

[legend]
Collaboration diagram for InvertNChannelController_Gnu:

[legend]
List of all members.

## Detailed Description

child of InvertNChannelController (using it's functionality) adds gnuplot windows for A, C, h and x, y

Implements standart parameters: eps, rho, mu, stepnumber4avg, stepnumber4delay

Definition at line 30 of file invertnchannelcontroller_gnu.h.

## Public Member Functions
| InvertNChannelController_Gnu (int _number_channels, int _buffersize)
virtual | ~InvertNChannelController_Gnu ()
virtual void | step (const sensor *, int number_sensors, motor *, int number_motors)
| performs one step (includes learning).
virtual void | stepNoLearning (const sensor *, int number_sensors, motor *, int number_motors)
| performs one step without learning. Calulates motor commands from sensor inputs.
## Protected Member Functions
virtual void | plot (const sensor *x, const motor *y)
| plotting sensorvalues x, motorvalues y, matrix A, matrix C and vector h
std::string | intToStr (int value)
| converts integer to string
## Protected Attributes
PlotLog< std::string > | plotlog
PlotLog< std::string > | plotlog_x
PlotLog< std::string > | plotlog_a

## Constructor & Destructor Documentation

InvertNChannelController_Gnu | ( | int | _number_channels,
|  | int | _buffersize
| ) |

| Definition at line 24 of file invertnchannelcontroller_gnu.hpp.

virtual ~InvertNChannelController_Gnu | ( |  | ) | `[inline, virtual]`

| Definition at line 35 of file invertnchannelcontroller_gnu.h.

## Member Function Documentation

std::string intToStr | ( | int | value | ) | `[protected]`

  | converts integer to string Parameters:
  | value | interger to convert
Definition at line 104 of file invertnchannelcontroller_gnu.hpp.

void plot | ( | const sensor * | x,
|  | const motor * | y
| ) | `[protected, virtual]`

  | plotting sensorvalues x, motorvalues y, matrix A, matrix C and vector h Parameters:
  | x | actual sensorvalues (used for generation of motorcommand in actual timestep)
  | y | actual motorcommand (generated in the actual timestep)
Definition at line 52 of file invertnchannelcontroller_gnu.hpp.

void step | ( | const sensor * | ,
|  | int | number_sensors,
|  | motor * | ,
|  | int | number_motors
| ) | `[virtual]`

| performs one step (includes learning). Calulates motor commands from sensor inputs. Reimplemented from InvertNChannelController. Definition at line 82 of file invertnchannelcontroller_gnu.hpp.

void stepNoLearning | ( | const sensor * | ,
|  | int | number_sensors,
|  | motor * | ,
|  | int | number_motors
| ) | `[virtual]`

| performs one step without learning. Calulates motor commands from sensor inputs. Reimplemented from InvertNChannelController. Definition at line 94 of file invertnchannelcontroller_gnu.hpp.

## Member Data Documentation

PlotLog<std::string> plotlog`[protected]`

| Definition at line 51 of file invertnchannelcontroller_gnu.h.

PlotLog<std::string> plotlog_a`[protected]`

| Definition at line 53 of file invertnchannelcontroller_gnu.h.

PlotLog<std::string> plotlog_x`[protected]`

| Definition at line 52 of file invertnchannelcontroller_gnu.h.